Manage contact permissions for services and invoices

Grant or deny specific contacts access to various services like VPS, web hosting, and domains. You can also control their permissions to view, receive, and open/close invoices and support tickets.

Account & Settings Contacts

Context

Path Parameters

contactId integer · min: 1 required Example: 10456

Unique contact identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
accessAllDomains boolean required · Example: false
accessAllHosting boolean required · Example: true
accessAllVps boolean required · Example: true
canCloseTickets boolean required · Example: true
canOpenTickets boolean required · Example: true
canPlaceOrders boolean required · Example: true
canReceiveInvoices boolean required · Example: true
canReceiveTicketEmails boolean required · Example: true
canViewInvoices boolean required · Example: true
canViewTickets boolean required · Example: true
dnsZones array required · Example: []
domains array required · Example: [{"id":"21266","name":"example.com","hasAccess":true}]
services array required · Example: [{"id":"14101","name":"VPS XS","hasAccess":true}]

Responses

200
data object required
data.message string required · Example: Permissions updated successfully

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/contacts/{contactId}/permissions
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/contacts/10456/permissions" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "services": [
      {
        "id": "14101",
        "name": "VPS XS",
        "hasAccess": true
      }
    ],
    "domains": [],
    "dnsZones": [],
    "canViewInvoices": true,
    "canReceiveInvoices": true,
    "canOpenTickets": true,
    "canViewTickets": true,
    "canReceiveTicketEmails": true,
    "canCloseTickets": true,
    "accessAllVps": true,
    "accessAllHosting": true,
    "accessAllDomains": false,
    "canPlaceOrders": true
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "message": "Permissions updated successfully"
  }
}
Request Body Example 1
{
  "services": [
    {
      "id": "14101",
      "name": "VPS XS",
      "hasAccess": true
    }
  ],
  "domains": [],
  "dnsZones": [],
  "canViewInvoices": true,
  "canReceiveInvoices": true,
  "canOpenTickets": true,
  "canViewTickets": true,
  "canReceiveTicketEmails": true,
  "canCloseTickets": true,
  "accessAllVps": true,
  "accessAllHosting": true,
  "accessAllDomains": false,
  "canPlaceOrders": true
}